Index: c/src/ada-tests/tmtests/tm02/tm02.adb
===================================================================
--- c/src/ada-tests/tmtests/tm02/tm02.adb	(revision b4be04e8dd6e3a13d4e56dc6813ca8326143b305)
+++ c/src/ada-tests/tmtests/tm02/tm02.adb	(revision 4b06706929fdb9ce6d9a2ea1726ca8cfa5156023)
@@ -0,0 +1,57 @@
+--
+--  MAIN / BODY
+--
+--  DESCRIPTION:
+--
+--  This is the entry point for Test TM02 of the Single Processor Test Suite.
+--
+--  DEPENDENCIES: 
+--
+--  
+--
+--  COPYRIGHT (c) 1989-1997.
+--  On-Line Applications Research Corporation (OAR).
+--  Copyright assigned to U.S. Government, 1994.
+--
+--  The license and distribution terms for this file may in
+--  the file LICENSE in this distribution or at
+--  http://www.OARcorp.com/rtems/license.html.
+--
+--  $Id$
+--
+
+with RTEMS;
+with TMTEST;
+with TEST_SUPPORT;
+
+procedure TM02 is
+  INIT_ID : RTEMS.ID;
+  STATUS  : RTEMS.STATUS_CODES;
+begin
+
+   RTEMS.TASK_CREATE(
+      RTEMS.BUILD_NAME(  'I', 'N', 'I', 'T' ),
+      1,
+      RTEMS.MINIMUM_STACK_SIZE,
+      RTEMS.NO_PREEMPT,
+      RTEMS.DEFAULT_ATTRIBUTES,
+      INIT_ID,
+      STATUS
+   );
+   TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_CREATE OF INIT" );
+
+
+   RTEMS.TASK_START(
+      INIT_ID,
+      TMTEST.INIT'ACCESS,
+      0,
+      STATUS
+   );
+   TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_START OF INIT" );
+
+   loop
+      delay 120.0;
+   end loop;
+
+end TM02;
+
Index: c/src/ada-tests/tmtests/tm03/tm03.adb
===================================================================
--- c/src/ada-tests/tmtests/tm03/tm03.adb	(revision b4be04e8dd6e3a13d4e56dc6813ca8326143b305)
+++ c/src/ada-tests/tmtests/tm03/tm03.adb	(revision 4b06706929fdb9ce6d9a2ea1726ca8cfa5156023)
@@ -0,0 +1,57 @@
+--
+--  MAIN / BODY
+--
+--  DESCRIPTION:
+--
+--  This is the entry point for Test TM03 of the Single Processor Test Suite.
+--
+--  DEPENDENCIES: 
+--
+--  
+--
+--  COPYRIGHT (c) 1989-1997.
+--  On-Line Applications Research Corporation (OAR).
+--  Copyright assigned to U.S. Government, 1994.
+--
+--  The license and distribution terms for this file may in
+--  the file LICENSE in this distribution or at
+--  http://www.OARcorp.com/rtems/license.html.
+--
+--  $Id$
+--
+
+with RTEMS;
+with TMTEST;
+with TEST_SUPPORT;
+
+procedure TM03 is
+  INIT_ID : RTEMS.ID;
+  STATUS  : RTEMS.STATUS_CODES;
+begin
+
+   RTEMS.TASK_CREATE(
+      RTEMS.BUILD_NAME(  'I', 'N', 'I', 'T' ),
+      1,
+      RTEMS.MINIMUM_STACK_SIZE,
+      RTEMS.NO_PREEMPT,
+      RTEMS.DEFAULT_ATTRIBUTES,
+      INIT_ID,
+      STATUS
+   );
+   TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_CREATE OF INIT" );
+
+
+   RTEMS.TASK_START(
+      INIT_ID,
+      TMTEST.INIT'ACCESS,
+      0,
+      STATUS
+   );
+   TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_START OF INIT" );
+
+   loop
+      delay 120.0;
+   end loop;
+
+end TM03;
+
Index: c/src/ada-tests/tmtests/tm04/tm04.adb
===================================================================
--- c/src/ada-tests/tmtests/tm04/tm04.adb	(revision b4be04e8dd6e3a13d4e56dc6813ca8326143b305)
+++ c/src/ada-tests/tmtests/tm04/tm04.adb	(revision 4b06706929fdb9ce6d9a2ea1726ca8cfa5156023)
@@ -0,0 +1,57 @@
+--
+--  MAIN / BODY
+--
+--  DESCRIPTION:
+--
+--  This is the entry point for Test TM04 of the Single Processor Test Suite.
+--
+--  DEPENDENCIES: 
+--
+--  
+--
+--  COPYRIGHT (c) 1989-1997.
+--  On-Line Applications Research Corporation (OAR).
+--  Copyright assigned to U.S. Government, 1994.
+--
+--  The license and distribution terms for this file may in
+--  the file LICENSE in this distribution or at
+--  http://www.OARcorp.com/rtems/license.html.
+--
+--  $Id$
+--
+
+with RTEMS;
+with TMTEST;
+with TEST_SUPPORT;
+
+procedure TM04 is
+  INIT_ID : RTEMS.ID;
+  STATUS  : RTEMS.STATUS_CODES;
+begin
+
+   RTEMS.TASK_CREATE(
+      RTEMS.BUILD_NAME(  'I', 'N', 'I', 'T' ),
+      1,
+      RTEMS.MINIMUM_STACK_SIZE,
+      RTEMS.NO_PREEMPT,
+      RTEMS.DEFAULT_ATTRIBUTES,
+      INIT_ID,
+      STATUS
+   );
+   TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_CREATE OF INIT" );
+
+
+   RTEMS.TASK_START(
+      INIT_ID,
+      TMTEST.INIT'ACCESS,
+      0,
+      STATUS
+   );
+   TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_START OF INIT" );
+
+   loop
+      delay 120.0;
+   end loop;
+
+end TM04;
+
Index: c/src/ada-tests/tmtests/tm05/tm05.adb
===================================================================
--- c/src/ada-tests/tmtests/tm05/tm05.adb	(revision b4be04e8dd6e3a13d4e56dc6813ca8326143b305)
+++ c/src/ada-tests/tmtests/tm05/tm05.adb	(revision 4b06706929fdb9ce6d9a2ea1726ca8cfa5156023)
@@ -0,0 +1,57 @@
+--
+--  MAIN / BODY
+--
+--  DESCRIPTION:
+--
+--  This is the entry point for Test TM05 of the Single Processor Test Suite.
+--
+--  DEPENDENCIES: 
+--
+--  
+--
+--  COPYRIGHT (c) 1989-1997.
+--  On-Line Applications Research Corporation (OAR).
+--  Copyright assigned to U.S. Government, 1994.
+--
+--  The license and distribution terms for this file may in
+--  the file LICENSE in this distribution or at
+--  http://www.OARcorp.com/rtems/license.html.
+--
+--  $Id$
+--
+
+with RTEMS;
+with TMTEST;
+with TEST_SUPPORT;
+
+procedure TM05 is
+  INIT_ID : RTEMS.ID;
+  STATUS  : RTEMS.STATUS_CODES;
+begin
+
+   RTEMS.TASK_CREATE(
+      RTEMS.BUILD_NAME(  'I', 'N', 'I', 'T' ),
+      1,
+      RTEMS.MINIMUM_STACK_SIZE,
+      RTEMS.NO_PREEMPT,
+      RTEMS.DEFAULT_ATTRIBUTES,
+      INIT_ID,
+      STATUS
+   );
+   TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_CREATE OF INIT" );
+
+
+   RTEMS.TASK_START(
+      INIT_ID,
+      TMTEST.INIT'ACCESS,
+      0,
+      STATUS
+   );
+   TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_START OF INIT" );
+
+   loop
+      delay 120.0;
+   end loop;
+
+end TM05;
+
Index: c/src/ada-tests/tmtests/tm06/tm06.adb
===================================================================
--- c/src/ada-tests/tmtests/tm06/tm06.adb	(revision b4be04e8dd6e3a13d4e56dc6813ca8326143b305)
+++ c/src/ada-tests/tmtests/tm06/tm06.adb	(revision 4b06706929fdb9ce6d9a2ea1726ca8cfa5156023)
@@ -0,0 +1,57 @@
+--
+--  MAIN / BODY
+--
+--  DESCRIPTION:
+--
+--  This is the entry point for Test TM06 of the Single Processor Test Suite.
+--
+--  DEPENDENCIES: 
+--
+--  
+--
+--  COPYRIGHT (c) 1989-1997.
+--  On-Line Applications Research Corporation (OAR).
+--  Copyright assigned to U.S. Government, 1994.
+--
+--  The license and distribution terms for this file may in
+--  the file LICENSE in this distribution or at
+--  http://www.OARcorp.com/rtems/license.html.
+--
+--  $Id$
+--
+
+with RTEMS;
+with TMTEST;
+with TEST_SUPPORT;
+
+procedure TM06 is
+  INIT_ID : RTEMS.ID;
+  STATUS  : RTEMS.STATUS_CODES;
+begin
+
+   RTEMS.TASK_CREATE(
+      RTEMS.BUILD_NAME(  'I', 'N', 'I', 'T' ),
+      1,
+      RTEMS.MINIMUM_STACK_SIZE,
+      RTEMS.NO_PREEMPT,
+      RTEMS.DEFAULT_ATTRIBUTES,
+      INIT_ID,
+      STATUS
+   );
+   TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_CREATE OF INIT" );
+
+
+   RTEMS.TASK_START(
+      INIT_ID,
+      TMTEST.INIT'ACCESS,
+      0,
+      STATUS
+   );
+   TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_START OF INIT" );
+
+   loop
+      delay 120.0;
+   end loop;
+
+end TM06;
+
Index: c/src/ada-tests/tmtests/tm07/tm07.adb
===================================================================
--- c/src/ada-tests/tmtests/tm07/tm07.adb	(revision b4be04e8dd6e3a13d4e56dc6813ca8326143b305)
+++ c/src/ada-tests/tmtests/tm07/tm07.adb	(revision 4b06706929fdb9ce6d9a2ea1726ca8cfa5156023)
@@ -0,0 +1,57 @@
+--
+--  MAIN / BODY
+--
+--  DESCRIPTION:
+--
+--  This is the entry point for Test TM07 of the Single Processor Test Suite.
+--
+--  DEPENDENCIES: 
+--
+--  
+--
+--  COPYRIGHT (c) 1989-1997.
+--  On-Line Applications Research Corporation (OAR).
+--  Copyright assigned to U.S. Government, 1994.
+--
+--  The license and distribution terms for this file may in
+--  the file LICENSE in this distribution or at
+--  http://www.OARcorp.com/rtems/license.html.
+--
+--  $Id$
+--
+
+with RTEMS;
+with TMTEST;
+with TEST_SUPPORT;
+
+procedure TM07 is
+  INIT_ID : RTEMS.ID;
+  STATUS  : RTEMS.STATUS_CODES;
+begin
+
+   RTEMS.TASK_CREATE(
+      RTEMS.BUILD_NAME(  'I', 'N', 'I', 'T' ),
+      1,
+      RTEMS.MINIMUM_STACK_SIZE,
+      RTEMS.NO_PREEMPT,
+      RTEMS.DEFAULT_ATTRIBUTES,
+      INIT_ID,
+      STATUS
+   );
+   TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_CREATE OF INIT" );
+
+
+   RTEMS.TASK_START(
+      INIT_ID,
+      TMTEST.INIT'ACCESS,
+      0,
+      STATUS
+   );
+   TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_START OF INIT" );
+
+   loop
+      delay 120.0;
+   end loop;
+
+end TM07;
+
Index: c/src/ada-tests/tmtests/tm08/tm08.adb
===================================================================
--- c/src/ada-tests/tmtests/tm08/tm08.adb	(revision b4be04e8dd6e3a13d4e56dc6813ca8326143b305)
+++ c/src/ada-tests/tmtests/tm08/tm08.adb	(revision 4b06706929fdb9ce6d9a2ea1726ca8cfa5156023)
@@ -0,0 +1,57 @@
+--
+--  MAIN / BODY
+--
+--  DESCRIPTION:
+--
+--  This is the entry point for Test TM08 of the Single Processor Test Suite.
+--
+--  DEPENDENCIES: 
+--
+--  
+--
+--  COPYRIGHT (c) 1989-1997.
+--  On-Line Applications Research Corporation (OAR).
+--  Copyright assigned to U.S. Government, 1994.
+--
+--  The license and distribution terms for this file may in
+--  the file LICENSE in this distribution or at
+--  http://www.OARcorp.com/rtems/license.html.
+--
+--  $Id$
+--
+
+with RTEMS;
+with TMTEST;
+with TEST_SUPPORT;
+
+procedure TM08 is
+  INIT_ID : RTEMS.ID;
+  STATUS  : RTEMS.STATUS_CODES;
+begin
+
+   RTEMS.TASK_CREATE(
+      RTEMS.BUILD_NAME(  'I', 'N', 'I', 'T' ),
+      1,
+      RTEMS.MINIMUM_STACK_SIZE,
+      RTEMS.NO_PREEMPT,
+      RTEMS.DEFAULT_ATTRIBUTES,
+      INIT_ID,
+      STATUS
+   );
+   TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_CREATE OF INIT" );
+
+
+   RTEMS.TASK_START(
+      INIT_ID,
+      TMTEST.INIT'ACCESS,
+      0,
+      STATUS
+   );
+   TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_START OF INIT" );
+
+   loop
+      delay 120.0;
+   end loop;
+
+end TM08;
+
Index: c/src/ada-tests/tmtests/tm09/tm09.adb
===================================================================
--- c/src/ada-tests/tmtests/tm09/tm09.adb	(revision b4be04e8dd6e3a13d4e56dc6813ca8326143b305)
+++ c/src/ada-tests/tmtests/tm09/tm09.adb	(revision 4b06706929fdb9ce6d9a2ea1726ca8cfa5156023)
@@ -0,0 +1,57 @@
+--
+--  MAIN / BODY
+--
+--  DESCRIPTION:
+--
+--  This is the entry point for Test TM09 of the Single Processor Test Suite.
+--
+--  DEPENDENCIES: 
+--
+--  
+--
+--  COPYRIGHT (c) 1989-1997.
+--  On-Line Applications Research Corporation (OAR).
+--  Copyright assigned to U.S. Government, 1994.
+--
+--  The license and distribution terms for this file may in
+--  the file LICENSE in this distribution or at
+--  http://www.OARcorp.com/rtems/license.html.
+--
+--  $Id$
+--
+
+with RTEMS;
+with TMTEST;
+with TEST_SUPPORT;
+
+procedure TM09 is
+  INIT_ID : RTEMS.ID;
+  STATUS  : RTEMS.STATUS_CODES;
+begin
+
+   RTEMS.TASK_CREATE(
+      RTEMS.BUILD_NAME(  'I', 'N', 'I', 'T' ),
+      1,
+      RTEMS.MINIMUM_STACK_SIZE,
+      RTEMS.NO_PREEMPT,
+      RTEMS.DEFAULT_ATTRIBUTES,
+      INIT_ID,
+      STATUS
+   );
+   TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_CREATE OF INIT" );
+
+
+   RTEMS.TASK_START(
+      INIT_ID,
+      TMTEST.INIT'ACCESS,
+      0,
+      STATUS
+   );
+   TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_START OF INIT" );
+
+   loop
+      delay 120.0;
+   end loop;
+
+end TM09;
+
Index: c/src/ada-tests/tmtests/tm10/tm10.adb
===================================================================
--- c/src/ada-tests/tmtests/tm10/tm10.adb	(revision b4be04e8dd6e3a13d4e56dc6813ca8326143b305)
+++ c/src/ada-tests/tmtests/tm10/tm10.adb	(revision 4b06706929fdb9ce6d9a2ea1726ca8cfa5156023)
@@ -0,0 +1,57 @@
+--
+--  MAIN / BODY
+--
+--  DESCRIPTION:
+--
+--  This is the entry point for Test TM10 of the Single Processor Test Suite.
+--
+--  DEPENDENCIES: 
+--
+--  
+--
+--  COPYRIGHT (c) 1989-1997.
+--  On-Line Applications Research Corporation (OAR).
+--  Copyright assigned to U.S. Government, 1994.
+--
+--  The license and distribution terms for this file may in
+--  the file LICENSE in this distribution or at
+--  http://www.OARcorp.com/rtems/license.html.
+--
+--  $Id$
+--
+
+with RTEMS;
+with TMTEST;
+with TEST_SUPPORT;
+
+procedure TM10 is
+  INIT_ID : RTEMS.ID;
+  STATUS  : RTEMS.STATUS_CODES;
+begin
+
+   RTEMS.TASK_CREATE(
+      RTEMS.BUILD_NAME(  'I', 'N', 'I', 'T' ),
+      1,
+      RTEMS.MINIMUM_STACK_SIZE,
+      RTEMS.NO_PREEMPT,
+      RTEMS.DEFAULT_ATTRIBUTES,
+      INIT_ID,
+      STATUS
+   );
+   TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_CREATE OF INIT" );
+
+
+   RTEMS.TASK_START(
+      INIT_ID,
+      TMTEST.INIT'ACCESS,
+      0,
+      STATUS
+   );
+   TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_START OF INIT" );
+
+   loop
+      delay 120.0;
+   end loop;
+
+end TM10;
+
Index: c/src/ada-tests/tmtests/tm11/tm11.adb
===================================================================
--- c/src/ada-tests/tmtests/tm11/tm11.adb	(revision b4be04e8dd6e3a13d4e56dc6813ca8326143b305)
+++ c/src/ada-tests/tmtests/tm11/tm11.adb	(revision 4b06706929fdb9ce6d9a2ea1726ca8cfa5156023)
@@ -0,0 +1,57 @@
+--
+--  MAIN / BODY
+--
+--  DESCRIPTION:
+--
+--  This is the entry point for Test TM11 of the Single Processor Test Suite.
+--
+--  DEPENDENCIES: 
+--
+--  
+--
+--  COPYRIGHT (c) 1989-1997.
+--  On-Line Applications Research Corporation (OAR).
+--  Copyright assigned to U.S. Government, 1994.
+--
+--  The license and distribution terms for this file may in
+--  the file LICENSE in this distribution or at
+--  http://www.OARcorp.com/rtems/license.html.
+--
+--  $Id$
+--
+
+with RTEMS;
+with TMTEST;
+with TEST_SUPPORT;
+
+procedure TM11 is
+  INIT_ID : RTEMS.ID;
+  STATUS  : RTEMS.STATUS_CODES;
+begin
+
+   RTEMS.TASK_CREATE(
+      RTEMS.BUILD_NAME(  'I', 'N', 'I', 'T' ),
+      1,
+      RTEMS.MINIMUM_STACK_SIZE,
+      RTEMS.NO_PREEMPT,
+      RTEMS.DEFAULT_ATTRIBUTES,
+      INIT_ID,
+      STATUS
+   );
+   TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_CREATE OF INIT" );
+
+
+   RTEMS.TASK_START(
+      INIT_ID,
+      TMTEST.INIT'ACCESS,
+      0,
+      STATUS
+   );
+   TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_START OF INIT" );
+
+   loop
+      delay 120.0;
+   end loop;
+
+end TM11;
+
Index: c/src/ada-tests/tmtests/tm12/tm12.adb
===================================================================
--- c/src/ada-tests/tmtests/tm12/tm12.adb	(revision b4be04e8dd6e3a13d4e56dc6813ca8326143b305)
+++ c/src/ada-tests/tmtests/tm12/tm12.adb	(revision 4b06706929fdb9ce6d9a2ea1726ca8cfa5156023)
@@ -0,0 +1,57 @@
+--
+--  MAIN / BODY
+--
+--  DESCRIPTION:
+--
+--  This is the entry point for Test TM12 of the Single Processor Test Suite.
+--
+--  DEPENDENCIES: 
+--
+--  
+--
+--  COPYRIGHT (c) 1989-1997.
+--  On-Line Applications Research Corporation (OAR).
+--  Copyright assigned to U.S. Government, 1994.
+--
+--  The license and distribution terms for this file may in
+--  the file LICENSE in this distribution or at
+--  http://www.OARcorp.com/rtems/license.html.
+--
+--  $Id$
+--
+
+with RTEMS;
+with TMTEST;
+with TEST_SUPPORT;
+
+procedure TM12 is
+  INIT_ID : RTEMS.ID;
+  STATUS  : RTEMS.STATUS_CODES;
+begin
+
+   RTEMS.TASK_CREATE(
+      RTEMS.BUILD_NAME(  'I', 'N', 'I', 'T' ),
+      1,
+      RTEMS.MINIMUM_STACK_SIZE,
+      RTEMS.NO_PREEMPT,
+      RTEMS.DEFAULT_ATTRIBUTES,
+      INIT_ID,
+      STATUS
+   );
+   TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_CREATE OF INIT" );
+
+
+   RTEMS.TASK_START(
+      INIT_ID,
+      TMTEST.INIT'ACCESS,
+      0,
+      STATUS
+   );
+   TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_START OF INIT" );
+
+   loop
+      delay 120.0;
+   end loop;
+
+end TM12;
+
Index: c/src/ada-tests/tmtests/tm13/tm13.adb
===================================================================
--- c/src/ada-tests/tmtests/tm13/tm13.adb	(revision b4be04e8dd6e3a13d4e56dc6813ca8326143b305)
+++ c/src/ada-tests/tmtests/tm13/tm13.adb	(revision 4b06706929fdb9ce6d9a2ea1726ca8cfa5156023)
@@ -0,0 +1,57 @@
+--
+--  MAIN / BODY
+--
+--  DESCRIPTION:
+--
+--  This is the entry point for Test TM13 of the Single Processor Test Suite.
+--
+--  DEPENDENCIES: 
+--
+--  
+--
+--  COPYRIGHT (c) 1989-1997.
+--  On-Line Applications Research Corporation (OAR).
+--  Copyright assigned to U.S. Government, 1994.
+--
+--  The license and distribution terms for this file may in
+--  the file LICENSE in this distribution or at
+--  http://www.OARcorp.com/rtems/license.html.
+--
+--  $Id$
+--
+
+with RTEMS;
+with TMTEST;
+with TEST_SUPPORT;
+
+procedure TM13 is
+  INIT_ID : RTEMS.ID;
+  STATUS  : RTEMS.STATUS_CODES;
+begin
+
+   RTEMS.TASK_CREATE(
+      RTEMS.BUILD_NAME(  'I', 'N', 'I', 'T' ),
+      1,
+      RTEMS.MINIMUM_STACK_SIZE,
+      RTEMS.NO_PREEMPT,
+      RTEMS.DEFAULT_ATTRIBUTES,
+      INIT_ID,
+      STATUS
+   );
+   TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_CREATE OF INIT" );
+
+
+   RTEMS.TASK_START(
+      INIT_ID,
+      TMTEST.INIT'ACCESS,
+      0,
+      STATUS
+   );
+   TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_START OF INIT" );
+
+   loop
+      delay 120.0;
+   end loop;
+
+end TM13;
+
Index: c/src/ada-tests/tmtests/tm14/tm14.adb
===================================================================
--- c/src/ada-tests/tmtests/tm14/tm14.adb	(revision b4be04e8dd6e3a13d4e56dc6813ca8326143b305)
+++ c/src/ada-tests/tmtests/tm14/tm14.adb	(revision 4b06706929fdb9ce6d9a2ea1726ca8cfa5156023)
@@ -0,0 +1,57 @@
+--
+--  MAIN / BODY
+--
+--  DESCRIPTION:
+--
+--  This is the entry point for Test TM14 of the Single Processor Test Suite.
+--
+--  DEPENDENCIES: 
+--
+--  
+--
+--  COPYRIGHT (c) 1989-1997.
+--  On-Line Applications Research Corporation (OAR).
+--  Copyright assigned to U.S. Government, 1994.
+--
+--  The license and distribution terms for this file may in
+--  the file LICENSE in this distribution or at
+--  http://www.OARcorp.com/rtems/license.html.
+--
+--  $Id$
+--
+
+with RTEMS;
+with TMTEST;
+with TEST_SUPPORT;
+
+procedure TM14 is
+  INIT_ID : RTEMS.ID;
+  STATUS  : RTEMS.STATUS_CODES;
+begin
+
+   RTEMS.TASK_CREATE(
+      RTEMS.BUILD_NAME(  'I', 'N', 'I', 'T' ),
+      1,
+      RTEMS.MINIMUM_STACK_SIZE,
+      RTEMS.NO_PREEMPT,
+      RTEMS.DEFAULT_ATTRIBUTES,
+      INIT_ID,
+      STATUS
+   );
+   TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_CREATE OF INIT" );
+
+
+   RTEMS.TASK_START(
+      INIT_ID,
+      TMTEST.INIT'ACCESS,
+      0,
+      STATUS
+   );
+   TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_START OF INIT" );
+
+   loop
+      delay 120.0;
+   end loop;
+
+end TM14;
+
Index: c/src/ada-tests/tmtests/tm15/tm15.adb
===================================================================
--- c/src/ada-tests/tmtests/tm15/tm15.adb	(revision b4be04e8dd6e3a13d4e56dc6813ca8326143b305)
+++ c/src/ada-tests/tmtests/tm15/tm15.adb	(revision 4b06706929fdb9ce6d9a2ea1726ca8cfa5156023)
@@ -0,0 +1,57 @@
+--
+--  MAIN / BODY
+--
+--  DESCRIPTION:
+--
+--  This is the entry point for Test TM15 of the Single Processor Test Suite.
+--
+--  DEPENDENCIES: 
+--
+--  
+--
+--  COPYRIGHT (c) 1989-1997.
+--  On-Line Applications Research Corporation (OAR).
+--  Copyright assigned to U.S. Government, 1994.
+--
+--  The license and distribution terms for this file may in
+--  the file LICENSE in this distribution or at
+--  http://www.OARcorp.com/rtems/license.html.
+--
+--  $Id$
+--
+
+with RTEMS;
+with TMTEST;
+with TEST_SUPPORT;
+
+procedure TM15 is
+  INIT_ID : RTEMS.ID;
+  STATUS  : RTEMS.STATUS_CODES;
+begin
+
+   RTEMS.TASK_CREATE(
+      RTEMS.BUILD_NAME(  'I', 'N', 'I', 'T' ),
+      1,
+      RTEMS.MINIMUM_STACK_SIZE,
+      RTEMS.NO_PREEMPT,
+      RTEMS.DEFAULT_ATTRIBUTES,
+      INIT_ID,
+      STATUS
+   );
+   TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_CREATE OF INIT" );
+
+
+   RTEMS.TASK_START(
+      INIT_ID,
+      TMTEST.INIT'ACCESS,
+      0,
+      STATUS
+   );
+   TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_START OF INIT" );
+
+   loop
+      delay 120.0;
+   end loop;
+
+end TM15;
+
Index: c/src/ada-tests/tmtests/tm16/tm16.adb
===================================================================
--- c/src/ada-tests/tmtests/tm16/tm16.adb	(revision b4be04e8dd6e3a13d4e56dc6813ca8326143b305)
+++ c/src/ada-tests/tmtests/tm16/tm16.adb	(revision 4b06706929fdb9ce6d9a2ea1726ca8cfa5156023)
@@ -0,0 +1,57 @@
+--
+--  MAIN / BODY
+--
+--  DESCRIPTION:
+--
+--  This is the entry point for Test TM16 of the Single Processor Test Suite.
+--
+--  DEPENDENCIES: 
+--
+--  
+--
+--  COPYRIGHT (c) 1989-1997.
+--  On-Line Applications Research Corporation (OAR).
+--  Copyright assigned to U.S. Government, 1994.
+--
+--  The license and distribution terms for this file may in
+--  the file LICENSE in this distribution or at
+--  http://www.OARcorp.com/rtems/license.html.
+--
+--  $Id$
+--
+
+with RTEMS;
+with TMTEST;
+with TEST_SUPPORT;
+
+procedure TM16 is
+  INIT_ID : RTEMS.ID;
+  STATUS  : RTEMS.STATUS_CODES;
+begin
+
+   RTEMS.TASK_CREATE(
+      RTEMS.BUILD_NAME(  'I', 'N', 'I', 'T' ),
+      1,
+      RTEMS.MINIMUM_STACK_SIZE,
+      RTEMS.NO_PREEMPT,
+      RTEMS.DEFAULT_ATTRIBUTES,
+      INIT_ID,
+      STATUS
+   );
+   TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_CREATE OF INIT" );
+
+
+   RTEMS.TASK_START(
+      INIT_ID,
+      TMTEST.INIT'ACCESS,
+      0,
+      STATUS
+   );
+   TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_START OF INIT" );
+
+   loop
+      delay 120.0;
+   end loop;
+
+end TM16;
+
Index: c/src/ada-tests/tmtests/tm17/tm17.adb
===================================================================
--- c/src/ada-tests/tmtests/tm17/tm17.adb	(revision b4be04e8dd6e3a13d4e56dc6813ca8326143b305)
+++ c/src/ada-tests/tmtests/tm17/tm17.adb	(revision 4b06706929fdb9ce6d9a2ea1726ca8cfa5156023)
@@ -0,0 +1,57 @@
+--
+--  MAIN / BODY
+--
+--  DESCRIPTION:
+--
+--  This is the entry point for Test TM17 of the Single Processor Test Suite.
+--
+--  DEPENDENCIES: 
+--
+--  
+--
+--  COPYRIGHT (c) 1989-1997.
+--  On-Line Applications Research Corporation (OAR).
+--  Copyright assigned to U.S. Government, 1994.
+--
+--  The license and distribution terms for this file may in
+--  the file LICENSE in this distribution or at
+--  http://www.OARcorp.com/rtems/license.html.
+--
+--  $Id$
+--
+
+with RTEMS;
+with TMTEST;
+with TEST_SUPPORT;
+
+procedure TM17 is
+  INIT_ID : RTEMS.ID;
+  STATUS  : RTEMS.STATUS_CODES;
+begin
+
+   RTEMS.TASK_CREATE(
+      RTEMS.BUILD_NAME(  'I', 'N', 'I', 'T' ),
+      1,
+      RTEMS.MINIMUM_STACK_SIZE,
+      RTEMS.NO_PREEMPT,
+      RTEMS.DEFAULT_ATTRIBUTES,
+      INIT_ID,
+      STATUS
+   );
+   TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_CREATE OF INIT" );
+
+
+   RTEMS.TASK_START(
+      INIT_ID,
+      TMTEST.INIT'ACCESS,
+      0,
+      STATUS
+   );
+   TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_START OF INIT" );
+
+   loop
+      delay 120.0;
+   end loop;
+
+end TM17;
+
Index: c/src/ada-tests/tmtests/tm18/tm18.adb
===================================================================
--- c/src/ada-tests/tmtests/tm18/tm18.adb	(revision b4be04e8dd6e3a13d4e56dc6813ca8326143b305)
+++ c/src/ada-tests/tmtests/tm18/tm18.adb	(revision 4b06706929fdb9ce6d9a2ea1726ca8cfa5156023)
@@ -0,0 +1,57 @@
+--
+--  MAIN / BODY
+--
+--  DESCRIPTION:
+--
+--  This is the entry point for Test TM18 of the Single Processor Test Suite.
+--
+--  DEPENDENCIES: 
+--
+--  
+--
+--  COPYRIGHT (c) 1989-1997.
+--  On-Line Applications Research Corporation (OAR).
+--  Copyright assigned to U.S. Government, 1994.
+--
+--  The license and distribution terms for this file may in
+--  the file LICENSE in this distribution or at
+--  http://www.OARcorp.com/rtems/license.html.
+--
+--  $Id$
+--
+
+with RTEMS;
+with TMTEST;
+with TEST_SUPPORT;
+
+procedure TM18 is
+  INIT_ID : RTEMS.ID;
+  STATUS  : RTEMS.STATUS_CODES;
+begin
+
+   RTEMS.TASK_CREATE(
+      RTEMS.BUILD_NAME(  'I', 'N', 'I', 'T' ),
+      1,
+      RTEMS.MINIMUM_STACK_SIZE,
+      RTEMS.NO_PREEMPT,
+      RTEMS.DEFAULT_ATTRIBUTES,
+      INIT_ID,
+      STATUS
+   );
+   TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_CREATE OF INIT" );
+
+
+   RTEMS.TASK_START(
+      INIT_ID,
+      TMTEST.INIT'ACCESS,
+      0,
+      STATUS
+   );
+   TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_START OF INIT" );
+
+   loop
+      delay 120.0;
+   end loop;
+
+end TM18;
+
Index: c/src/ada-tests/tmtests/tm19/tm19.adb
===================================================================
--- c/src/ada-tests/tmtests/tm19/tm19.adb	(revision b4be04e8dd6e3a13d4e56dc6813ca8326143b305)
+++ c/src/ada-tests/tmtests/tm19/tm19.adb	(revision 4b06706929fdb9ce6d9a2ea1726ca8cfa5156023)
@@ -0,0 +1,57 @@
+--
+--  MAIN / BODY
+--
+--  DESCRIPTION:
+--
+--  This is the entry point for Test TM19 of the Single Processor Test Suite.
+--
+--  DEPENDENCIES: 
+--
+--  
+--
+--  COPYRIGHT (c) 1989-1997.
+--  On-Line Applications Research Corporation (OAR).
+--  Copyright assigned to U.S. Government, 1994.
+--
+--  The license and distribution terms for this file may in
+--  the file LICENSE in this distribution or at
+--  http://www.OARcorp.com/rtems/license.html.
+--
+--  $Id$
+--
+
+with RTEMS;
+with TMTEST;
+with TEST_SUPPORT;
+
+procedure TM19 is
+  INIT_ID : RTEMS.ID;
+  STATUS  : RTEMS.STATUS_CODES;
+begin
+
+   RTEMS.TASK_CREATE(
+      RTEMS.BUILD_NAME(  'I', 'N', 'I', 'T' ),
+      1,
+      RTEMS.MINIMUM_STACK_SIZE,
+      RTEMS.NO_PREEMPT,
+      RTEMS.DEFAULT_ATTRIBUTES,
+      INIT_ID,
+      STATUS
+   );
+   TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_CREATE OF INIT" );
+
+
+   RTEMS.TASK_START(
+      INIT_ID,
+      TMTEST.INIT'ACCESS,
+      0,
+      STATUS
+   );
+   TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_START OF INIT" );
+
+   loop
+      delay 120.0;
+   end loop;
+
+end TM19;
+
Index: c/src/ada-tests/tmtests/tm20/tm20.adb
===================================================================
--- c/src/ada-tests/tmtests/tm20/tm20.adb	(revision b4be04e8dd6e3a13d4e56dc6813ca8326143b305)
+++ c/src/ada-tests/tmtests/tm20/tm20.adb	(revision 4b06706929fdb9ce6d9a2ea1726ca8cfa5156023)
@@ -0,0 +1,57 @@
+--
+--  MAIN / BODY
+--
+--  DESCRIPTION:
+--
+--  This is the entry point for Test TM20 of the Single Processor Test Suite.
+--
+--  DEPENDENCIES: 
+--
+--  
+--
+--  COPYRIGHT (c) 1989-1997.
+--  On-Line Applications Research Corporation (OAR).
+--  Copyright assigned to U.S. Government, 1994.
+--
+--  The license and distribution terms for this file may in
+--  the file LICENSE in this distribution or at
+--  http://www.OARcorp.com/rtems/license.html.
+--
+--  $Id$
+--
+
+with RTEMS;
+with TMTEST;
+with TEST_SUPPORT;
+
+procedure TM20 is
+  INIT_ID : RTEMS.ID;
+  STATUS  : RTEMS.STATUS_CODES;
+begin
+
+   RTEMS.TASK_CREATE(
+      RTEMS.BUILD_NAME(  'I', 'N', 'I', 'T' ),
+      1,
+      RTEMS.MINIMUM_STACK_SIZE,
+      RTEMS.NO_PREEMPT,
+      RTEMS.DEFAULT_ATTRIBUTES,
+      INIT_ID,
+      STATUS
+   );
+   TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_CREATE OF INIT" );
+
+
+   RTEMS.TASK_START(
+      INIT_ID,
+      TMTEST.INIT'ACCESS,
+      0,
+      STATUS
+   );
+   TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_START OF INIT" );
+
+   loop
+      delay 120.0;
+   end loop;
+
+end TM20;
+
Index: c/src/ada-tests/tmtests/tm21/tm21.adb
===================================================================
--- c/src/ada-tests/tmtests/tm21/tm21.adb	(revision b4be04e8dd6e3a13d4e56dc6813ca8326143b305)
+++ c/src/ada-tests/tmtests/tm21/tm21.adb	(revision 4b06706929fdb9ce6d9a2ea1726ca8cfa5156023)
@@ -0,0 +1,57 @@
+--
+--  MAIN / BODY
+--
+--  DESCRIPTION:
+--
+--  This is the entry point for Test TM21 of the Single Processor Test Suite.
+--
+--  DEPENDENCIES: 
+--
+--  
+--
+--  COPYRIGHT (c) 1989-1997.
+--  On-Line Applications Research Corporation (OAR).
+--  Copyright assigned to U.S. Government, 1994.
+--
+--  The license and distribution terms for this file may in
+--  the file LICENSE in this distribution or at
+--  http://www.OARcorp.com/rtems/license.html.
+--
+--  $Id$
+--
+
+with RTEMS;
+with TMTEST;
+with TEST_SUPPORT;
+
+procedure TM21 is
+  INIT_ID : RTEMS.ID;
+  STATUS  : RTEMS.STATUS_CODES;
+begin
+
+   RTEMS.TASK_CREATE(
+      RTEMS.BUILD_NAME(  'I', 'N', 'I', 'T' ),
+      1,
+      RTEMS.MINIMUM_STACK_SIZE,
+      RTEMS.NO_PREEMPT,
+      RTEMS.DEFAULT_ATTRIBUTES,
+      INIT_ID,
+      STATUS
+   );
+   TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_CREATE OF INIT" );
+
+
+   RTEMS.TASK_START(
+      INIT_ID,
+      TMTEST.INIT'ACCESS,
+      0,
+      STATUS
+   );
+   TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_START OF INIT" );
+
+   loop
+      delay 120.0;
+   end loop;
+
+end TM21;
+
Index: c/src/ada-tests/tmtests/tm22/tm22.adb
===================================================================
--- c/src/ada-tests/tmtests/tm22/tm22.adb	(revision b4be04e8dd6e3a13d4e56dc6813ca8326143b305)
+++ c/src/ada-tests/tmtests/tm22/tm22.adb	(revision 4b06706929fdb9ce6d9a2ea1726ca8cfa5156023)
@@ -0,0 +1,57 @@
+--
+--  MAIN / BODY
+--
+--  DESCRIPTION:
+--
+--  This is the entry point for Test TM22 of the Single Processor Test Suite.
+--
+--  DEPENDENCIES: 
+--
+--  
+--
+--  COPYRIGHT (c) 1989-1997.
+--  On-Line Applications Research Corporation (OAR).
+--  Copyright assigned to U.S. Government, 1994.
+--
+--  The license and distribution terms for this file may in
+--  the file LICENSE in this distribution or at
+--  http://www.OARcorp.com/rtems/license.html.
+--
+--  $Id$
+--
+
+with RTEMS;
+with TMTEST;
+with TEST_SUPPORT;
+
+procedure TM22 is
+  INIT_ID : RTEMS.ID;
+  STATUS  : RTEMS.STATUS_CODES;
+begin
+
+   RTEMS.TASK_CREATE(
+      RTEMS.BUILD_NAME(  'I', 'N', 'I', 'T' ),
+      1,
+      RTEMS.MINIMUM_STACK_SIZE,
+      RTEMS.NO_PREEMPT,
+      RTEMS.DEFAULT_ATTRIBUTES,
+      INIT_ID,
+      STATUS
+   );
+   TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_CREATE OF INIT" );
+
+
+   RTEMS.TASK_START(
+      INIT_ID,
+      TMTEST.INIT'ACCESS,
+      0,
+      STATUS
+   );
+   TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_START OF INIT" );
+
+   loop
+      delay 120.0;
+   end loop;
+
+end TM22;
+
Index: c/src/ada-tests/tmtests/tm23/tm23.adb
===================================================================
--- c/src/ada-tests/tmtests/tm23/tm23.adb	(revision b4be04e8dd6e3a13d4e56dc6813ca8326143b305)
+++ c/src/ada-tests/tmtests/tm23/tm23.adb	(revision 4b06706929fdb9ce6d9a2ea1726ca8cfa5156023)
@@ -0,0 +1,57 @@
+--
+--  MAIN / BODY
+--
+--  DESCRIPTION:
+--
+--  This is the entry point for Test TM23 of the Single Processor Test Suite.
+--
+--  DEPENDENCIES: 
+--
+--  
+--
+--  COPYRIGHT (c) 1989-1997.
+--  On-Line Applications Research Corporation (OAR).
+--  Copyright assigned to U.S. Government, 1994.
+--
+--  The license and distribution terms for this file may in
+--  the file LICENSE in this distribution or at
+--  http://www.OARcorp.com/rtems/license.html.
+--
+--  $Id$
+--
+
+with RTEMS;
+with TMTEST;
+with TEST_SUPPORT;
+
+procedure TM23 is
+  INIT_ID : RTEMS.ID;
+  STATUS  : RTEMS.STATUS_CODES;
+begin
+
+   RTEMS.TASK_CREATE(
+      RTEMS.BUILD_NAME(  'I', 'N', 'I', 'T' ),
+      1,
+      RTEMS.MINIMUM_STACK_SIZE,
+      RTEMS.NO_PREEMPT,
+      RTEMS.DEFAULT_ATTRIBUTES,
+      INIT_ID,
+      STATUS
+   );
+   TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_CREATE OF INIT" );
+
+
+   RTEMS.TASK_START(
+      INIT_ID,
+      TMTEST.INIT'ACCESS,
+      0,
+      STATUS
+   );
+   TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_START OF INIT" );
+
+   loop
+      delay 120.0;
+   end loop;
+
+end TM23;
+
Index: c/src/ada-tests/tmtests/tm24/tm24.adb
===================================================================
--- c/src/ada-tests/tmtests/tm24/tm24.adb	(revision b4be04e8dd6e3a13d4e56dc6813ca8326143b305)
+++ c/src/ada-tests/tmtests/tm24/tm24.adb	(revision 4b06706929fdb9ce6d9a2ea1726ca8cfa5156023)
@@ -0,0 +1,57 @@
+--
+--  MAIN / BODY
+--
+--  DESCRIPTION:
+--
+--  This is the entry point for Test TM24 of the Single Processor Test Suite.
+--
+--  DEPENDENCIES: 
+--
+--  
+--
+--  COPYRIGHT (c) 1989-1997.
+--  On-Line Applications Research Corporation (OAR).
+--  Copyright assigned to U.S. Government, 1994.
+--
+--  The license and distribution terms for this file may in
+--  the file LICENSE in this distribution or at
+--  http://www.OARcorp.com/rtems/license.html.
+--
+--  $Id$
+--
+
+with RTEMS;
+with TMTEST;
+with TEST_SUPPORT;
+
+procedure TM24 is
+  INIT_ID : RTEMS.ID;
+  STATUS  : RTEMS.STATUS_CODES;
+begin
+
+   RTEMS.TASK_CREATE(
+      RTEMS.BUILD_NAME(  'I', 'N', 'I', 'T' ),
+      1,
+      RTEMS.MINIMUM_STACK_SIZE,
+      RTEMS.NO_PREEMPT,
+      RTEMS.DEFAULT_ATTRIBUTES,
+      INIT_ID,
+      STATUS
+   );
+   TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_CREATE OF INIT" );
+
+
+   RTEMS.TASK_START(
+      INIT_ID,
+      TMTEST.INIT'ACCESS,
+      0,
+      STATUS
+   );
+   TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_START OF INIT" );
+
+   loop
+      delay 120.0;
+   end loop;
+
+end TM24;
+
Index: c/src/ada-tests/tmtests/tm25/tm25.adb
===================================================================
--- c/src/ada-tests/tmtests/tm25/tm25.adb	(revision b4be04e8dd6e3a13d4e56dc6813ca8326143b305)
+++ c/src/ada-tests/tmtests/tm25/tm25.adb	(revision 4b06706929fdb9ce6d9a2ea1726ca8cfa5156023)
@@ -0,0 +1,57 @@
+--
+--  MAIN / BODY
+--
+--  DESCRIPTION:
+--
+--  This is the entry point for Test TM25 of the Single Processor Test Suite.
+--
+--  DEPENDENCIES: 
+--
+--  
+--
+--  COPYRIGHT (c) 1989-1997.
+--  On-Line Applications Research Corporation (OAR).
+--  Copyright assigned to U.S. Government, 1994.
+--
+--  The license and distribution terms for this file may in
+--  the file LICENSE in this distribution or at
+--  http://www.OARcorp.com/rtems/license.html.
+--
+--  $Id$
+--
+
+with RTEMS;
+with TMTEST;
+with TEST_SUPPORT;
+
+procedure TM25 is
+  INIT_ID : RTEMS.ID;
+  STATUS  : RTEMS.STATUS_CODES;
+begin
+
+   RTEMS.TASK_CREATE(
+      RTEMS.BUILD_NAME(  'I', 'N', 'I', 'T' ),
+      1,
+      RTEMS.MINIMUM_STACK_SIZE,
+      RTEMS.NO_PREEMPT,
+      RTEMS.DEFAULT_ATTRIBUTES,
+      INIT_ID,
+      STATUS
+   );
+   TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_CREATE OF INIT" );
+
+
+   RTEMS.TASK_START(
+      INIT_ID,
+      TMTEST.INIT'ACCESS,
+      0,
+      STATUS
+   );
+   TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_START OF INIT" );
+
+   loop
+      delay 120.0;
+   end loop;
+
+end TM25;
+
Index: c/src/ada-tests/tmtests/tm26/tm26.adb
===================================================================
--- c/src/ada-tests/tmtests/tm26/tm26.adb	(revision b4be04e8dd6e3a13d4e56dc6813ca8326143b305)
+++ c/src/ada-tests/tmtests/tm26/tm26.adb	(revision 4b06706929fdb9ce6d9a2ea1726ca8cfa5156023)
@@ -0,0 +1,57 @@
+--
+--  MAIN / BODY
+--
+--  DESCRIPTION:
+--
+--  This is the entry point for Test TM26 of the Single Processor Test Suite.
+--
+--  DEPENDENCIES: 
+--
+--  
+--
+--  COPYRIGHT (c) 1989-1997.
+--  On-Line Applications Research Corporation (OAR).
+--  Copyright assigned to U.S. Government, 1994.
+--
+--  The license and distribution terms for this file may in
+--  the file LICENSE in this distribution or at
+--  http://www.OARcorp.com/rtems/license.html.
+--
+--  $Id$
+--
+
+with RTEMS;
+with TMTEST;
+with TEST_SUPPORT;
+
+procedure TM26 is
+  INIT_ID : RTEMS.ID;
+  STATUS  : RTEMS.STATUS_CODES;
+begin
+
+   RTEMS.TASK_CREATE(
+      RTEMS.BUILD_NAME(  'I', 'N', 'I', 'T' ),
+      1,
+      RTEMS.MINIMUM_STACK_SIZE,
+      RTEMS.NO_PREEMPT,
+      RTEMS.DEFAULT_ATTRIBUTES,
+      INIT_ID,
+      STATUS
+   );
+   TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_CREATE OF INIT" );
+
+
+   RTEMS.TASK_START(
+      INIT_ID,
+      TMTEST.INIT'ACCESS,
+      0,
+      STATUS
+   );
+   TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_START OF INIT" );
+
+   loop
+      delay 120.0;
+   end loop;
+
+end TM26;
+
Index: c/src/ada-tests/tmtests/tm27/tm27.adb
===================================================================
--- c/src/ada-tests/tmtests/tm27/tm27.adb	(revision b4be04e8dd6e3a13d4e56dc6813ca8326143b305)
+++ c/src/ada-tests/tmtests/tm27/tm27.adb	(revision 4b06706929fdb9ce6d9a2ea1726ca8cfa5156023)
@@ -0,0 +1,57 @@
+--
+--  MAIN / BODY
+--
+--  DESCRIPTION:
+--
+--  This is the entry point for Test TM27 of the Single Processor Test Suite.
+--
+--  DEPENDENCIES: 
+--
+--  
+--
+--  COPYRIGHT (c) 1989-1997.
+--  On-Line Applications Research Corporation (OAR).
+--  Copyright assigned to U.S. Government, 1994.
+--
+--  The license and distribution terms for this file may in
+--  the file LICENSE in this distribution or at
+--  http://www.OARcorp.com/rtems/license.html.
+--
+--  $Id$
+--
+
+with RTEMS;
+with TMTEST;
+with TEST_SUPPORT;
+
+procedure TM27 is
+  INIT_ID : RTEMS.ID;
+  STATUS  : RTEMS.STATUS_CODES;
+begin
+
+   RTEMS.TASK_CREATE(
+      RTEMS.BUILD_NAME(  'I', 'N', 'I', 'T' ),
+      1,
+      RTEMS.MINIMUM_STACK_SIZE,
+      RTEMS.NO_PREEMPT,
+      RTEMS.DEFAULT_ATTRIBUTES,
+      INIT_ID,
+      STATUS
+   );
+   TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_CREATE OF INIT" );
+
+
+   RTEMS.TASK_START(
+      INIT_ID,
+      TMTEST.INIT'ACCESS,
+      0,
+      STATUS
+   );
+   TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_START OF INIT" );
+
+   loop
+      delay 120.0;
+   end loop;
+
+end TM27;
+
Index: c/src/ada-tests/tmtests/tm28/tm28.adb
===================================================================
--- c/src/ada-tests/tmtests/tm28/tm28.adb	(revision b4be04e8dd6e3a13d4e56dc6813ca8326143b305)
+++ c/src/ada-tests/tmtests/tm28/tm28.adb	(revision 4b06706929fdb9ce6d9a2ea1726ca8cfa5156023)
@@ -0,0 +1,57 @@
+--
+--  MAIN / BODY
+--
+--  DESCRIPTION:
+--
+--  This is the entry point for Test TM28 of the Single Processor Test Suite.
+--
+--  DEPENDENCIES: 
+--
+--  
+--
+--  COPYRIGHT (c) 1989-1997.
+--  On-Line Applications Research Corporation (OAR).
+--  Copyright assigned to U.S. Government, 1994.
+--
+--  The license and distribution terms for this file may in
+--  the file LICENSE in this distribution or at
+--  http://www.OARcorp.com/rtems/license.html.
+--
+--  $Id$
+--
+
+with RTEMS;
+with TMTEST;
+with TEST_SUPPORT;
+
+procedure TM28 is
+  INIT_ID : RTEMS.ID;
+  STATUS  : RTEMS.STATUS_CODES;
+begin
+
+   RTEMS.TASK_CREATE(
+      RTEMS.BUILD_NAME(  'I', 'N', 'I', 'T' ),
+      1,
+      RTEMS.MINIMUM_STACK_SIZE,
+      RTEMS.NO_PREEMPT,
+      RTEMS.DEFAULT_ATTRIBUTES,
+      INIT_ID,
+      STATUS
+   );
+   TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_CREATE OF INIT" );
+
+
+   RTEMS.TASK_START(
+      INIT_ID,
+      TMTEST.INIT'ACCESS,
+      0,
+      STATUS
+   );
+   TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_START OF INIT" );
+
+   loop
+      delay 120.0;
+   end loop;
+
+end TM28;
+
Index: c/src/ada-tests/tmtests/tm29/tm29.adb
===================================================================
--- c/src/ada-tests/tmtests/tm29/tm29.adb	(revision b4be04e8dd6e3a13d4e56dc6813ca8326143b305)
+++ c/src/ada-tests/tmtests/tm29/tm29.adb	(revision 4b06706929fdb9ce6d9a2ea1726ca8cfa5156023)
@@ -0,0 +1,57 @@
+--
+--  MAIN / BODY
+--
+--  DESCRIPTION:
+--
+--  This is the entry point for Test TM29 of the Single Processor Test Suite.
+--
+--  DEPENDENCIES: 
+--
+--  
+--
+--  COPYRIGHT (c) 1989-1997.
+--  On-Line Applications Research Corporation (OAR).
+--  Copyright assigned to U.S. Government, 1994.
+--
+--  The license and distribution terms for this file may in
+--  the file LICENSE in this distribution or at
+--  http://www.OARcorp.com/rtems/license.html.
+--
+--  $Id$
+--
+
+with RTEMS;
+with TMTEST;
+with TEST_SUPPORT;
+
+procedure TM29 is
+  INIT_ID : RTEMS.ID;
+  STATUS  : RTEMS.STATUS_CODES;
+begin
+
+   RTEMS.TASK_CREATE(
+      RTEMS.BUILD_NAME(  'I', 'N', 'I', 'T' ),
+      1,
+      RTEMS.MINIMUM_STACK_SIZE,
+      RTEMS.NO_PREEMPT,
+      RTEMS.DEFAULT_ATTRIBUTES,
+      INIT_ID,
+      STATUS
+   );
+   TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_CREATE OF INIT" );
+
+
+   RTEMS.TASK_START(
+      INIT_ID,
+      TMTEST.INIT'ACCESS,
+      0,
+      STATUS
+   );
+   TEST_SUPPORT.DIRECTIVE_FAILED( STATUS, "TASK_START OF INIT" );
+
+   loop
+      delay 120.0;
+   end loop;
+
+end TM29;
+
